// inttypes.h
// Hand crafted for MSVC build - grm - Aug, 2009
// Reports: reports@geoffair.info - Web: http://geoffair.net/projects/handbrake.htm
//
#ifndef _inttypes_h_
#define _inttypes_h_
// this is a MSVC replacement of unix intypes.h, so make the SAME define
#define _INTTYPES_H_

typedef unsigned long long uint64_t;
typedef long long int		int64_t;

typedef unsigned int       uint32_t;
typedef int                int32_t;

typedef unsigned short     uint16_t;
typedef short              int16_t;

typedef unsigned char      uint8_t;
typedef char               int8_t;

#define __attribute__(a)

#define PRId64  "I64d"
#define PRIu64  "I64u"
#define PRIx64  "I64x"
#define PRIxPTR "x" // CHECKME!!!
#define SCNd64  "p"

#endif // #ifndef _inttypes_h_
// eof - inttypes.h

