// config.h
// Hand crafted for MSVC build - grm - Aug, 2009
// Reports: reports@geoffair.info - Web: http://geoffair.net/projects/handbrake.htm
//
#ifndef _config_h_
#define _config_h_

#pragma warning(disable: 4996) // The POSIX name for this item is deprecated. Instead, use the ISO C++ conformant name:
#pragma warning(disable: 4244) // conversion from 'double' to 'long', possible loss of data
#pragma warning(disable: 4018) // signed/unsigned mismatch
#ifdef __cplusplus 
//#pragma message("__cplusplus is defined - some added warnings disabled")
#pragma warning(disable: 4804) // like: '>>' : unsafe use of type 'bool' in operation
#pragma warning(disable: 4806) // like: '&' : unsafe operation: no value of type 'bool' promoted to type 'int' can equal the given constant
#pragma warning(disable: 4309) // like: '=' : truncation of constant value
#else
#pragma message("ERROR: __cplusplus is NOT defined")
#pragma message("These libraries MUST be compiled as C++ (/TP)")
.error Can NOT continue...
#endif

#include "hb_m4.h"  // some additional defines

#ifndef USE_PTHREAD // see ports.c for threading defines
#define USE_PTHREAD 1
#endif
#ifndef PTW32_STATIC_LIB
#define PTW32_STATIC_LIB 1
#endif

#define inline __inline
#define snprintf _snprintf
#define strdup _strdup
#define ssize_t size_t
#define putenv _putenv
#define unlink _unlink
#define getpid()    1234   // CHECKME!!!
#define rmdir _rmdir
#define strcasecmp _stricmp
#define strncasecmp _strnicmp
#define strtoll _strtoui64

#define __builtin_expect(foo,bar) (foo)

#ifndef INT64_C // use a MS specific declaration
#define INT64_C(a) (__int64)a
#endif

#include <rint.h>   // for double rint(double)

#endif // #ifndef _config_h_
// eof - config.h
