@REM Generate configmake.h...
@echo off
@REM	# DJGPP 2.03 doesn't have nl_langinfo(CODESET); therefore
@REM	# localcharset.c falls back to using the full locale name
@REM	# from the environment variables.
	echo "#"
	echo "# The encodings given here may not all be correct."
	echo "# If you find that the encoding given for your language and"
	echo "# country is not the one your DOS machine actually uses, just"
	echo "# correct it in this file, and send a mail to"
	echo "# Juan Manuel Guerrero <juan.guerrero@gmx.de>"
	echo "# and Bruno Haible <bruno@clisp.org>."
	echo "#"
	echo "C ASCII"
@REM	# ISO-8859-1 languages
	echo "ca CP850"
	echo "ca_ES CP850"
@REM # not CP850 ??
	echo "da CP865"
@REM  # not CP850 ?? 
	echo "da_DK CP865"
	echo "de CP850"
	echo "de_AT CP850"
	echo "de_CH CP850"
	echo "de_DE CP850"
	echo "en CP850"
@REM  # not CP437 ??
	echo "en_AU CP850"
	echo "en_CA CP850"
	echo "en_GB CP850"
	echo "en_NZ CP437"
	echo "en_US CP437"
@REM  # not CP437 ??
	echo "en_ZA CP850"
	echo "es CP850"
	echo "es_AR CP850"
	echo "es_BO CP850"
	echo "es_CL CP850"
	echo "es_CO CP850"
	echo "es_CR CP850"
	echo "es_CU CP850"
	echo "es_DO CP850"
	echo "es_EC CP850"
	echo "es_ES CP850"
	echo "es_GT CP850"
	echo "es_HN CP850"
	echo "es_MX CP850"
	echo "es_NI CP850"
	echo "es_PA CP850"
	echo "es_PY CP850"
	echo "es_PE CP850"
	echo "es_SV CP850"
	echo "es_UY CP850"
	echo "es_VE CP850"
	echo "et CP850"
	echo "et_EE CP850"
	echo "eu CP850"
	echo "eu_ES CP850"
	echo "fi CP850"
	echo "fi_FI CP850"
	echo "fr CP850"
	echo "fr_BE CP850"
	echo "fr_CA CP850"
	echo "fr_CH CP850"
	echo "fr_FR CP850"
	echo "ga CP850"
	echo "ga_IE CP850"
	echo "gd CP850"
	echo "gd_GB CP850"
	echo "gl CP850"
	echo "gl_ES CP850"
	echo "id CP850"    # not CP437 ??
	echo "id_ID CP850" # not CP437 ??
	echo "is CP861"    # not CP850 ??
	echo "is_IS CP861" # not CP850 ??
	echo "it CP850"
	echo "it_CH CP850"
	echo "it_IT CP850"
	echo "lt CP775"
	echo "lt_LT CP775"
	echo "lv CP775"
	echo "lv_LV CP775"
	echo "nb CP865"    # not CP850 ??
	echo "nb_NO CP865" # not CP850 ??
	echo "nl CP850"
	echo "nl_BE CP850"
	echo "nl_NL CP850"
	echo "nn CP865"    # not CP850 ??
	echo "nn_NO CP865" # not CP850 ??
	echo "no CP865"    # not CP850 ??
	echo "no_NO CP865" # not CP850 ??
	echo "pt CP850"
	echo "pt_BR CP850"
	echo "pt_PT CP850"
	echo "sv CP850"
	echo "sv_SE CP850"
@REM	# ISO-8859-2 languages
	echo "cs CP852"
	echo "cs_CZ CP852"
	echo "hr CP852"
	echo "hr_HR CP852"
	echo "hu CP852"
	echo "hu_HU CP852"
	echo "pl CP852"
	echo "pl_PL CP852"
	echo "ro CP852"
	echo "ro_RO CP852"
	echo "sk CP852"
	echo "sk_SK CP852"
	echo "sl CP852"
	echo "sl_SI CP852"
	echo "sq CP852"
	echo "sq_AL CP852"
@REM # CP852 or CP866 or CP855 ??
	echo "sr CP852"
@REM  # CP852 or CP866 or CP855 ??
	echo "sr_CS CP852"
@REM  # CP852 or CP866 or CP855 ??
	echo "sr_YU CP852"
@REM	# ISO-8859-3 languages
	echo "mt CP850"
	echo "mt_MT CP850"
@REM	# ISO-8859-5 languages
	echo "be CP866"
	echo "be_BE CP866"
@REM     # not CP855 ??
	echo "bg CP866"
@REM     # not CP855 ??
	echo "bg_BG CP866"
@REM     # not CP855 ??
	echo "mk CP866"
@REM     # not CP855 ??
	echo "mk_MK CP866"
	echo "ru CP866"
	echo "ru_RU CP866"
	echo "uk CP1125"
	echo "uk_UA CP1125"
@REM	# ISO-8859-6 languages
	echo "ar CP864"
	echo "ar_AE CP864"
	echo "ar_DZ CP864"
	echo "ar_EG CP864"
	echo "ar_IQ CP864"
	echo "ar_IR CP864"
	echo "ar_JO CP864"
	echo "ar_KW CP864"
	echo "ar_MA CP864"
	echo "ar_OM CP864"
	echo "ar_QA CP864"
	echo "ar_SA CP864"
	echo "ar_SY CP864"
@REM	# ISO-8859-7 languages
	echo "el CP869"
	echo "el_GR CP869"
@REM	# ISO-8859-8 languages
	echo "he CP862"
	echo "he_IL CP862"
@REM	# ISO-8859-9 languages
	echo "tr CP857"
	echo "tr_TR CP857"
@REM	# Japanese
	echo "ja CP932"
	echo "ja_JP CP932"
@REM	# Chinese
	echo "zh_CN GBK"
@REM  # not CP938 ??
	echo "zh_TW CP950"
@REM	# Korean
@REM     # not CP934 ??
	echo "kr CP949"
@REM
	echo "kr_KR CP949"
@REM	# Thai
	echo "th CP874"
	echo "th_TH CP874"
@REM	# Other
	echo "eo CP850"
	echo "eo_EO CP850"

